Bug 1896600 - Web console going blank after selecting any operator to install from OperatorHub
Summary: Web console going blank after selecting any operator to install from OperatorHub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Samuel Padgett
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 1895372
Blocks: 1896601
TreeView+ depends on / blocked
 
Reported: 2020-11-11 02:45 UTC by OpenShift BugZilla Robot
Modified: 2020-11-30 16:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an OperatorGroup with a missing `status` block in any namespace could cause a runtime error in the web console when installing a new operator from OperatorHub. The problem has been fixed.
Clone Of:
Environment:
Last Closed: 2020-11-30 16:46:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7177 0 None closed [release-4.6] Bug 1896600: Tolerate missing `status` on OperatorGroups 2020-12-04 02:31:51 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:46:29 UTC

Comment 4 Yanping Zhang 2020-11-25 03:24:05 UTC
Checked on ocp 4.6 cluster with payload 4.6.0-0.nightly-2020-11-22-160856.
1. Create project, and create operatorgroup without "status" field in project:
# cat operatorgroup-argocd.yaml
apiVersion: operators.coreos.com/v1
kind: OperatorGroup
metadata:
  generateName: devl-mdh-argocd-
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"operators.coreos.com/v1","kind":"OperatorGroup","metadata":{"annotations":{},"generateName":"devl-mdh-argocd-","labels":{"app.kubernetes.io/instance":"projects"},"name":"argocd","namespace":"devl-mdh-argocd"},"spec":{"serviceAccountName":"operator-installer","targetNamespaces":["devl-mdh-argocd"]}}
  selfLink: >-
    /apis/operators.coreos.com/v1/namespaces/devl-mdh-argocd/operatorgroups/argocd
  resourceVersion: '215916'
  name: argocd
  uid: 94e7e691-e346-41cc-873b-a1194b6ab117
  creationTimestamp: '2020-11-10T15:23:25Z'
  generation: 1
  managedFields:
    - apiVersion: operators.coreos.com/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/instance': {}
        'f:spec':
          .: {}
          'f:serviceAccountName': {}
          'f:targetNamespaces':
            .: {}
            'v:"devl-mdh-argocd"': {}
      manager: Mozilla
      operation: Update
      time: '2020-11-10T15:23:25Z'
  namespace: prozyp
  labels:
    app.kubernetes.io/instance: projects
spec:
  serviceAccountName: operator-installer
  targetNamespaces:
    - prozyp

2. Install any one operator from console, could install without blank page.
The bug is fixed.

Comment 6 errata-xmlrpc 2020-11-30 16:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.